// BLModuleWrapper.h: interface for the CBLModuleWrapper class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BLMODULEWRAPPER_H__ACECBD63_19A6_11D4_8E2E_00A024AAD7AF__INCLUDED_)
#define AFX_BLMODULEWRAPPER_H__ACECBD63_19A6_11D4_8E2E_00A024AAD7AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "ExecuteModule.h"

class CBLModuleWrapper  : public CBLModule7
{
public:	
	static CBLContext* GetContextFromModule (CBLModule* pMod);

	CBLModuleWrapper(class CBLModule7 const &);	//11
	CBLModuleWrapper(class CBLContext * pContext, char const *pStr, const char* pStrNameFile = NULL, bool bEnableThrow = false);	//12
	virtual ~CBLModuleWrapper();

	virtual int				OnSyntaxError(void);	
	virtual int				OnRuntimeError(void);	
	virtual int				OnStartExecution(void);	
	virtual int				OnNextLine(void);	
	virtual void			OnEnterProc(int);	
	virtual void			OnExitProc(int);	
	virtual void			OnStopExecution(void);	
	virtual void			OnErrorMessage(char const *);	
	virtual void			OnSetSpeller(class CValue const &);	
	virtual int				OnDoMessageBox(char const *, unsigned int);	
	virtual void			OnGetErrorDescription(class CString &);	

	bool m_bEnableThrow;

private:
  CString m_strFileName;
};

#endif // !defined(AFX_BLMODULEWRAPPER_H__ACECBD63_19A6_11D4_8E2E_00A024AAD7AF__INCLUDED_)
